/* #region expo */

/* #region promo */

.expo-promos {
	padding-top: 1.5rem;
}

.expo-promo-row {
	display: flex;
	gap: 1.5rem;
}

.expo-promo-col {
	flex: 1 1 100%;
}

.expo-promo-img::before {
	padding-top: 125%;
}

.expo-promo-video {
	position: relative;
}

.expo-promo-video-play {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 3.5rem;
	height: 3.5rem;
	font-size: 2.5rem;
	display: grid;
	place-content: center;
	background-color: var(--theme-primary);
	color: var(--theme-primary-alt);
	border-radius: 5rem;
	box-shadow: 0 0.2rem 0.8rem rgb(0 0 0 / 40%);
}

@media (max-width: 768px) {
	.expo-promo-row {
		flex-wrap: wrap;
	}
}

/* #endregion promo */

/* #region brands */

.expo-brands-header {
	display: flex;
	align-items: flex-end;
	justify-content: space-between;
	gap: 1rem 2rem;
	margin-bottom: 2rem;
	border-bottom: 1px solid #dadada;
}

.expo-brand-filters {
	display: flex;
	gap: 1rem;
	position: relative;
	z-index: 10;
	padding-bottom: 1.5rem;
}

.expo-brand-filter {
	position: relative;
}

.expo-brand-filter-title {
	padding: 0.3rem 1rem;
	border-radius: 0.5rem;
	background-color: #f5f5f5;
	cursor: pointer;
	font-weight: 500;
	/* margin-bottom: 1rem; */
}

.expo-brand-filter-list {
	position: absolute;
	top: 100%;
	right: 0;
	width: 22rem;
	margin-top: -0.5rem;
	opacity: 0;
	pointer-events: none;
	display: flex;
	justify-content: center;
	gap: 0.5rem 0.6rem;
	flex-wrap: wrap;
	background-color: #fff;
	border-radius: 0.5rem;
	box-shadow: 0 0.1rem 0.7rem rgba(0, 0, 0, 0.1);
	padding: 0.5rem;
	z-index: 1;
}

.expo-brand-filter:hover .expo-brand-filter-list {
	opacity: 1;
	pointer-events: auto;
}

.expo-brand-filter-list a {
	display: block;
	padding: 0.4rem 0.8rem;
	min-width: 3rem;
	text-align: center;
	border-radius: 0.5rem;
	line-height: 1.5;
}

.expo-brand-filter-list a:hover {
	background-color: #f5f5f5;
}

.expo-brand-filter-input {
	width: 350px;
	height: 100%;
	border: 1px solid #eaeaea;
	padding: 0.5rem 0.7rem;
	border-radius: 0.5rem;
}

.expo-brands-swiper {
	height: 500px;
	/* min-height: 160px; */
	--swiper-wrapper-transition-timing-function: linear;
	/* margin-top: 3rem; */
}

.expo-brands-row {
	display: flex;
	gap: 1.5rem;
	/* flex: auto; */
	flex-wrap: wrap;
}

.expo-brands-img {
	flex: 1 1 100%;
	max-width: 200px;
}

.expo-brands-img img {
	width: 100%;
	height: 100%;
	object-fit: contain;
	padding: 1rem;
}

@media (max-width: 768px) {
	.expo-brands-header,
	.expo-brand-filters {
		flex-wrap: wrap;
	}

	.expo-brand-filter {
		flex: 1 1 40%;
	}

	.expo-brand-filter-input {
		width: 100%;
	}
}

/* #endregion brands */

/* #region testimonials */

.expo-testimonials-swiper {
	margin-top: 3rem;
	max-width: 800px;
	padding: 1rem;
}

.expo-testimonial-slide {
	background-color: #fff;
	box-shadow: 0 0 1rem rgba(0, 0, 0, 0.1);
	border-radius: 1rem;
	padding: 1.5rem;
	/* text-align: center; */
}

.expo-testimonial-text {
	display: inline-block;
	margin-bottom: 1.5rem;
	line-height: 1.5;
	padding-top: 2rem;
	position: relative;
	text-indent: 3.5rem;
}

.expo-testimonial-text::before {
	position: absolute;
	font-size: 8rem;
	top: 0;
	left: 0;
	text-indent: 0;
	line-height: 1;
	color: var(--theme-primary);
}

.expo-testimonial-author {
	line-height: 1.3;
}

.expo-testimonial-company {
	font-size: 0.85rem;
	font-weight: 700;
	color: var(--theme-primary);
}

.expo-testimonial-name {
	font-size: 1rem;
	font-weight: 600;
}

@media (max-width: 768px) {
}

/* #endregion testimonials */

/* #endregion expo */

/* #region brand */

.brand-page-layout {
	display: grid;
	grid-template-columns: 15rem 1fr;
	grid-template-rows: 20rem 1fr;
	gap: 1rem;
	margin-top: 1rem;
	margin-bottom: var(--section-gap);
}

.brand-page-logo {
	display: grid;
	gap: 0.5rem;
}

.brand-page-logo-img {
	border-radius: 0.5rem;
}

.brand-page-logo-img img {
	object-fit: contain;
	padding: 1rem;
	border: 1px solid #dadada;
	border-radius: inherit;
}

.brand-logo-info {
	padding: 0.5rem 1rem;
	border: 1px solid #dadada;
	border-radius: 0.5rem;
}

.brand-logo-title {
	font-size: 1.1rem;
	margin-bottom: 0.2rem;
	font-weight: 600;
}

.brand-logo-desc {
	font-size: 1.1rem;
}

.brand-page-banner {
	border-radius: 0.5rem;
	overflow: hidden;
}

.brand-banner-container,
.brand-banner-swiper,
.brand-banner-img {
	width: 100%;
	height: 100%;
}

.brand-banner-img img {
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.brand-page-aside {
	margin-bottom: 1rem;
}

.brand-page-filter {
	position: sticky;
	top: calc(var(--header-height) + 1rem);
}

.brand-filter-item {
	/* background-color: #f5f5f5; */
	padding: 1rem;
	border: 1px solid #dadada;
	border-radius: 0.5rem;
}

.brand-filter-title {
	font-weight: 600;
	font-size: 1.2rem;
	line-height: 1;
	margin-bottom: 1rem;
}

.brand-filter-list {
	display: grid;
	gap: 0.8rem;
}

.brand-filter-list label {
	display: flex;
	gap: 0.5rem;
	align-items: center;
	justify-content: flex-start;
	line-height: 1;
}

.brand-filter-list label input {
	width: 1.3rem;
	height: 1.3rem;
	accent-color: var(--theme-primary);
}

@media (max-width: 768px) {
	.brand-page-layout {
		grid-template-columns: 1fr;
	}

	.brand-page-logo {
		grid-template-columns: 1fr 2fr;
	}
}

/* #endregion brand */

/* #region products */

.products-grid {
	display: grid;
	gap: 0.5rem;
	grid-template-columns: repeat(auto-fill, minmax(15rem, 1fr));
}

.product-item {
	padding: 1rem;
	border-radius: 1rem;
	overflow: hidden;
	text-align: center;
	display: flex;
	flex-direction: column;
	position: relative;
	transition: ease 0.3s;
}

.product-item:hover {
	background-color: var(--theme-primary-bg-lighter);
}

.product-item.show-details {
	box-shadow: 0 0 1rem rgba(0, 0, 0, 0.1);
}

.product-item-img {
	width: 100%;
	border-radius: 0.5rem;
	overflow: hidden;
	margin-bottom: 1rem;
	background-color: #fff;
}

.product-item-content {
	position: relative;
	display: flex;
	flex-direction: column;
	gap: 0.5rem;
	flex: auto;
}

.product-item-title {
	font-size: 1rem;
	font-weight: 600;
}

.product-item-price {
	color: var(--theme-primary);
	line-height: 1.6;
	font-weight: 600;
	font-size: 1.1rem;
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 0.5rem;
	margin-top: auto;
}

.product-item-price del {
	text-decoration: line-through;
	text-decoration-thickness: 2px;
	opacity: 0.7;
	font-size: 0.9em;
}

.product-actions {
	display: flex;
	justify-content: center;
	gap: 0.5rem;
}

.product-action-btn {
	/* background-color: var(--theme-primary-bg-light); */
	/* color: var(--theme-primary); */
	border: 1px solid #000;
	padding: 0.3rem 1rem;
	border-radius: 0.5rem;
	font-weight: 500;
	/* line-height: 1.1; */
	flex: 1 1 100%;
	font-size: 0.85rem;
}

.product-action-btn:hover {
	background-color: #fff;
	color: #000;
}

.product-item-details {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	padding: 1rem;
	background-color: #fff;
	line-height: 1.5;
	transform: translateX(100%);
	transition: ease 0.3s transform;
	text-align: left;
	border-radius: inherit;
	display: grid;
	place-content: start;
}

.product-item.show-details .product-item-details {
	transform: translateX(0);
}

.product-item-details-close {
	position: absolute;
	top: 1rem;
	right: 1rem;
	font-size: 1.3rem;
	line-height: 1;
}

.product-item-details .product-item-title {
	padding-right: 1.6rem;
	margin-bottom: 0.7rem;
	font-weight: 500;
}

.product-item-description {
	font-size: 0.85rem;
	overflow: auto;
}

.product-item-description p {
	margin-bottom: 0.5rem;
}

@media (max-width: 768px) {
}

/* #endregion products */

/* #region blogs list page */

.blogs-list-filter {
	margin-bottom: 2rem;
}

.blogs-list-filter-item {
	display: inline-block;
	padding: 0.2rem 0.8rem;
	background-color: var(--theme-primary-light);
	color: var(--theme-primary);
	border-radius: 5rem;
	font-weight: 500;
	font-size: 0.85rem;
}

.blog-grid {
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(330px, 1fr));
	gap: 2rem;
}

.blog-grid-item {
	box-shadow: 1px 1px 8px rgba(0, 0, 0, 0.2);
	border-radius: 0.5rem;
	overflow: hidden;
}

.blog-grid-img {
	position: relative;
}

.blog-grid-img::before {
	content: "";
	padding-top: 62.5%;
	display: block;
}

.blog-grid-img img {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.blog-grid-content {
	padding: 1rem;
}

.blog-grid-title {
	font-size: 1.3rem;
	font-weight: 600;
	margin-bottom: 0.3em;
	line-height: 1.3;
	/* line clamp 2 */
	display: -webkit-box;
	-webkit-line-clamp: 2;
	-webkit-box-orient: vertical;
	overflow: hidden;
	text-overflow: ellipsis;
}

.blog-grid-title a:hover {
	color: var(--theme-primary);
}

.blog-grid-meta {
	margin-bottom: 0.5rem;
	font-size: 0.85rem;
	color: #555;
	font-weight: 500;
}

.blog-grid-desc {
	line-height: 1.3;
	font-size: 0.95rem;
}

/* #endregion blogs list page */

/* #region blog view page */

.blog-page {
	display: flex;
	gap: 2rem;
}

.blog-main {
	position: relative;
	width: 70%;
}

.blog-extra {
	width: 30%;
	position: sticky;
	top: calc(var(--header-height) + 1rem);
	height: 100%;
}

.blog-tags {
	font-size: 0.9rem;
	color: var(--theme-secondary);
	margin-bottom: 0.5rem;
}

.blog-page-title {
	font-size: 2rem;
	font-weight: 500;
	margin-bottom: 0.5rem;
}

.blog-page-meta {
	color: var(--theme-secondary);
	font-weight: 500;
}

.blog-page-content {
	margin-top: 1.3rem;
	position: relative;
	padding: 1.2rem;
	box-shadow: 0 0 1rem rgb(0 0 0 / 15%);
	border-radius: 0.5rem;
}

.blog-page-content::after {
	content: "";
	display: block;
	clear: both;
}

.blog-main-img {
	/* width: 40%; */
	/* width: 500px; */
	/* float: left; */
	/* margin-right: 1.7rem; */
	margin-bottom: 1.5rem;
	min-width: 50%;
	max-width: 100%;
}

.blog-main-img img {
	width: 100%;
}

.blog-main-content {
	font-size: 1rem;
	clear: right;
	line-height: 1.7;
}

.blog-main-content p {
	margin-bottom: 1em;
}

.blog-main-content a {
	color: var(--theme-primary);
	text-decoration: underline;
}

.blog-main-content h1 {
	font-size: 2em;
	margin-bottom: 0.6em;
}

.blog-main-content h2 {
	font-size: 1.5em;
	margin-bottom: 0.8em;
}

.blog-main-content h3 {
	font-size: 1.17em;
	margin-bottom: 1em;
	font-weight: 600;
}

.blog-main-content h4 {
	font-size: 1.1em;
	margin-bottom: 1em;
}

.blog-main-content strong {
	font-weight: 600;
}

.blog-main-content em {
	font-style: italic;
}

.blog-main-content hr {
	margin-top: 1.2rem;
	margin-bottom: 1.2rem;
	border-bottom: 0;
}

.blog-main-content .marker {
	background-color: Yellow;
}

.blog-main-content ul,
.blog-main-content ul {
	padding-left: 1.5em;
	margin-bottom: 1em;
	/* list-style-position: inside; */
}

.blog-main-content li {
	margin-bottom: 0.5em;
}

.blog-main-content ul {
	list-style-type: disc;
}

.blog-main-content ol {
	list-style: decimal;
	padding-left: 1.3em;
}

.blog-content-category {
	padding-top: 1rem;
	margin-top: 1.5rem;
	border-top: 1px solid #eaeaea;
	line-height: 1.3;
}

.blog-share-title {
	font-weight: 500;
	font-size: 1.4rem;
}

.blog-share-list {
	display: flex;
	gap: 0.5rem;
	margin-bottom: 1.5rem;
	margin-top: 0.5rem;
}

.blog-share-link {
	width: 2.2rem;
	height: 2.2rem;
	display: grid;
	place-items: center;
	background-color: var(--theme-primary);
	color: var(--theme-primary-alt);
	border-radius: 5rem;
	border: 2px solid var(--theme-primary);
	font-size: 1.3rem;
}

.blog-share-link:hover {
	background-color: var(--theme-primary-alt);
	color: var(--theme-primary);
}

.blog-list-banner-title {
	/* text-align: center; */
	font-weight: 500;
	font-size: 1.6rem;
	margin-bottom: 0.7rem;
}

.blog-list {
	display: grid;
	/* grid-template-columns: repeat(auto-fill, minmax(400px, 1fr)); */
	gap: 1.2rem;
	/* margin-bottom: 2rem; */
	padding: 1.2rem;
	box-shadow: 0 0 1rem rgb(0 0 0 / 15%);
	border-radius: 0.5rem;
}

.blog-list .blog-grid-item {
	display: flex;
}

.blog-list .blog-grid-img {
	flex: 0 0 30%;
}

.blog-list .blog-grid-content {
	flex: 1;
	padding: 0.5rem 0.75rem;
}

.blog-list .blog-grid-title {
	font-size: 1rem;
	/* line-clamp: 2; */
	display: -webkit-box;
	-webkit-line-clamp: 2;
	-webkit-box-orient: vertical;
	overflow: hidden;
	text-overflow: ellipsis;
}

.blog-list .blog-grid-meta {
	margin-bottom: 0;
}

@media (max-width: 760px) {
	.blog-page {
		flex-direction: column;
	}

	.blog-main,
	.blog-extra {
		width: 100%;
	}

	.blog-page-title {
		font-size: 1.4rem;
		line-height: 1.6;
	}
}

@media print {
	.blog-page-content {
		padding: 0;
		box-shadow: none;
	}

	.blog-extra,
	.testimonial-section,
	.cta-section,
	.main-header,
	.copy-footer {
		display: none;
	}
}

/* #endregion blog view page */
